package com.plannaplan.repositories;

import static org.junit.jupiter.api.Assertions.assertTrue;

import java.sql.Date;

import com.plannaplan.entities.AppConfig;
import com.plannaplan.models.TourData;

import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringRunner;
import org.junit.runner.RunWith;

@RunWith(SpringRunner.class)
@SpringBootTest
@ContextConfiguration
public class AppConfigRepositoryTest {

    @Autowired
    private AppConfigRepository repo;

    @Test
    public void shouldReturnNewestConfigInstance() {
        final Date dateToCheck = new Date(System.currentTimeMillis());
        this.repo.save(new AppConfig(new TourData(null, null), new TourData(null, null)));
        this.repo.save(new AppConfig(new TourData(dateToCheck, null), new TourData(null, null)));

        assertTrue(this.repo.getCurrentConfig().getFirstTourStart().equals(dateToCheck));
    }
}
